/* eslint-disable react/destructuring-assignment */
/* eslint-disable */
// TODO: Rewrite this component
import React from 'react';
import {connect} from 'react-redux';
import {
  getTopVulnerableContainerAndHostsAction,
  setSearchQuery,
} from '../../../actions/app-actions';
import {constructGlobalSearchQuery} from '../../../utils/search-utils';
import StackedChart, { sortChartNodes } from '../charts/stacked-chart';
import pollable from '../header-view/pollable';

// HACK-NOTE: This component relies on data fetched by vulnerability-stats-top-containers.js
// Make sure not to deploy this as a standalone component. It should always
// accompany the other component.
// This hack saves use from writing a new API call
class VulnerabilityStatsTopHosts extends React.PureComponent {
  constructor(props) {
    super(props);
    this.getTopVulnerableHostStats = this.getTopVulnerableHostStats.bind(this);
    this.sectionClickHandler = this.sectionClickHandler.bind(this);
  }

  componentDidMount() {
    const {registerPolling, startPolling} = this.props;
    registerPolling(this.getTopVulnerableHostStats);
    startPolling();
  }

  UNSAFE_componentWillReceiveProps(newProps) {
    const {
      alertPanelHistoryBound: newBounds,
      globalSearchQuery: newQuery,
    } = newProps;
    const {
      alertPanelHistoryBound: currentBounds,
      globalSearchQuery: currentQuery,
    } = this.props;

    if (currentBounds !== newBounds || currentQuery !== newQuery) {
      this.getTopVulnerableHostStats({
        alertPanelHistoryBound: newBounds,
        globalSearchQuery: newQuery,
      });
    }
  }

  getTopVulnerableHostStats(params = {}) {
    const {
      alertPanelHistoryBound = this.props.alertPanelHistoryBound || [],
      globalSearchQuery = this.props.globalSearchQuery || [],
    } = params;

    const {
      getTopVulnerableContainerAndHostsAction: action,
    } = this.props;

    const apiParams = {
      luceneQuery: globalSearchQuery,
      // Conditionally adding number and time_unit fields
      ...(alertPanelHistoryBound.value
        ? {number: alertPanelHistoryBound.value.number} : {}),
      ...(alertPanelHistoryBound.value
        ? {timeUnit: alertPanelHistoryBound.value.time_unit} : {}),
    };

    return action(apiParams);
  }

  sectionClickHandler(point) {
    if (!point.type) {
      return;
    }
    const {
      globalSearchQuery: existingQuery = [],
      dispatch,
    } = this.props;

    let searchQuery = [];
    if (point.type) {
      const severityParams = {
        cve_severity: point.type,
      };
      searchQuery = constructGlobalSearchQuery(existingQuery, severityParams);
    }

    const globalSearchQuery = {
      searchQuery,
    };
    dispatch(setSearchQuery(globalSearchQuery));
  }

  render() {
    const {nodes = [], loading} = this.props;
    const isDataAvailable = nodes.length > 0;

    return (
      <div className="compliance-pass-stats flex-item flex-item-box margin-right-box">
        <div className="name heading">Top Vulnerable Running Hosts</div>
        {!isDataAvailable
        && (
        <div className="info" style={{textAlign: 'center', zIndex: 10}}>
          no data available
        </div>
        )}
        {isDataAvailable && <StackedChart
          data={sortChartNodes(nodes)}
          chartHeight={200}
          onSectionClick={this.sectionClickHandler}
        />}
      </div>
    );
  }
}

function mapStateToProps(state) {
  return {
    alertPanelHistoryBound: state.get('alertPanelHistoryBound') || [],
    globalSearchQuery: state.get('globalSearchQuery') || [],
    nodes: state.getIn(['cve', 'top_vulnerable_nodes', 'host_data']),
    loading: state.getIn(['cve', 'top_vulnerable_nodes', 'loading']),
  };
}

export default connect(
  mapStateToProps, {
    getTopVulnerableContainerAndHostsAction,
  }
)(pollable()(VulnerabilityStatsTopHosts));
