import React from 'react';
import {reduxForm, Field} from 'redux-form/immutable';
import DFSelectField from '../common/multi-select/redux-form-field';

class CSVForm extends React.PureComponent {
  render() {
    const {
      nodeTags = [],
      submitting,
      handleSubmit,
    } = this.props;
    const options = nodeTags.map(tag => ({
      label: tag,
      value: tag,
    }));
    return (
      <div className="df-modal-form">
        <form onSubmit={handleSubmit} autoComplete="off">
          <div className="form-field">
            <Field
              name="tag"
              component={DFSelectField}
              options={options}
              placeholder="Choose tag"
            />
          </div>
          <div className="form-field">
            <button
              type="submit"
              className="primary-btn"
              disabled={submitting}
            >
              Submit
            </button>
          </div>
        </form>
      </div>
    );
  }
}

export default reduxForm({
  form: 'cve_download_csv',
})(CSVForm);
