package main

// run fluent-bit

import (
	"log"
	"os"

	"github.com/deepfence/vulnerability_mapper/router"
	"github.com/gin-gonic/gin"
)

var (
	port = "8001"
)

func main() {
	// check if port is provided in environment
	if os.Getenv("PORT") != "" {
		port = os.Getenv("PORT")
	}

	// init the router
	r := router.New()

	r.Use(gin.Logger())

	// Listen constantly on given port
	log.Print("LISTENING ON PORT: ", port)
	log.Fatal(r.Run(":" + port))
}
